Create a new custom action with data provided in the request body. JSON format is expected.
POST
/data/custom-actions/
curl
curl -X POST "http://api.example.com/data/custom-actions/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Custom Action Name",
"url_pattern": "/api/actions/{id}"
}'
import requests
url = "http://api.example.com/data/custom-actions/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Custom Action Name",
"url_pattern": "/api/actions/{id}"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/custom-actions/' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"Custom Action Name","url_pattern":"/api/actions/{id}"}'
Request examples
{
"name": "Custom Action Name",
"url_pattern": "/api/actions/{id}"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Custom Action Name",
"url_pattern": "/api/actions/{id}",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}